Name:           python-pytest-localserver
Version:        0.5.1.20211213.post0
Release:        1%{?dist}
Summary:        py.test plugin to test server connections locally

License:        MIT
URL:            https://github.com/pytest-dev/pytest-localserver
%global _upstream_version 0.5.1.post0
Source0:        %{url}/archive/v%{_upstream_version}/pytest-localserver-%{_upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-werkzeug

%global _description %{expand:
pytest-localserver is a plugin for the pytest testing framework which enables
you to test server connections locally.}

%description %_description

%package -n python3-pytest-localserver
Summary:        %{summary}

%description -n python3-pytest-localserver %_description


%prep
%autosetup -p1 -n pytest-localserver-%{_upstream_version}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_localserver


%check
%tox


%files -n python3-pytest-localserver -f %{pyproject_files}
%doc README.rst CHANGES
%license LICENSE

%changelog
* Tue Dec 28 2021 Roman Inflianskas <rominf@aiven.io> - 0.5.1.20211213.post0-1
- Initial package
